Crashpad

Public Attributes | List of all members
crashpad::ExceptionPorts::ExceptionHandler Struct Reference

Information about a registered exception handler. More...

`#include "util/mach/exception_ports.h"`

## Public Attributes
exception_mask_t | mask
| A mask specifying the exception types to direct to port, containing `EXC_MASK_*` values.
exception_handler_t | port
| A send right to a Mach port that will handle exceptions of the types indicated in mask.
exception_behavior_t | behavior
| The “behavior” that the exception handler at port implements: `EXCEPTION_DEFAULT`, `EXCEPTION_STATE`, or `EXCEPTION_STATE_IDENTITY`, possibly combined with `MACH_EXCEPTION_CODES`.
thread_state_flavor_t | flavor
| The thread state flavor that the exception handler at port will receive and possibly modify. This member has no effect for behavior values that indicate a “default” behavior.

## Detailed Description

Information about a registered exception handler.

The documentation for this struct was generated from the following file:

- util/mach/exception_ports.h